//
//  ExpenseController.h
//  Timesheet
//
//  Created by Luke Gladding on 22/02/07.
//  Copyright 2007 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "Class.h"

@interface ExpenseController : NSArrayController 
{
	IBOutlet MyDocument				* document;

	IBOutlet NSWindow				* addExpenseWindow;
	IBOutlet NSTextField			* addExpenseDateField;
	IBOutlet NSTextField			* addExpenseDescriptionField;
	IBOutlet NSTextField			* addExpenseAmountField;
	IBOutlet NSButton				* addExpenseHasTax1Button;
	IBOutlet NSButton				* addExpenseHasTax2Button;
	IBOutlet NSButton				* addExpenseHasTax3Button;
	
	IBOutlet NSTextField			* expenseDateField;
	IBOutlet NSTextField			* expenseAmountField;	
}

- (IBAction)handleAddExpense:(id)sender;
- (IBAction)beginAddExpenseSheet:(id)sender contextInfo:(id)info;
- (IBAction)handleAddFromSheet:(id)sender;
- (IBAction)handleCancelFromSheet:(id)sender;
- (void)didEnd:(NSWindow *)sheet returnCode:(int)code contextInfo:(id)info;

@end
